package com.gingersoft.gsa.cloud.common.rxjava;

import com.xuexiang.rxutil2.rxjava.RxSchedulerUtils;

import io.reactivex.Flowable;
import io.reactivex.Observable;
import io.reactivex.Single;

/**
 * @作者: bin
 * @創建時間: 2021-04-21 15:27
 * @更新時間: 2021-04-21 15:27
 * @描述:
 */
public class MyRxUtils {

    public static <T> Single<T> si_just_io_main(T t) {
        return Single.just(t)
                .compose(MyRxSchedulerUtils._io_main_f());
    }

    public static <T> Observable<T> ob_just_io_main(T t) {
        return Observable.just(t)
                .compose(RxSchedulerUtils._io_main_o());
    }

    public static <T> Flowable<T> fl_just_io_main(T t) {
        return Flowable.just(t)
                .compose(RxSchedulerUtils._io_main_f());
    }

}
